> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdvmsize.md).

# Get-RASAVDVMSize

### NAME

Get-RASAVDVMSize\ <br>

### SYNOPSIS

The cmdlet returns an object of type Azure Virtual Desktop VM Size.\ <br>

### SYNTAX

Get-RASAVDVMSize -[Location](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVMSize.html#Location) *\<string>* -[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVMSize.html#ProviderId) *\<uint>* \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVMSize.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVMSize.html#CommonParameters)*>*]\
\
Get-RASAVDVMSize -[VMAzureId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVMSize.html#VMAzureId) *\<string>* -[WorkspaceId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVMSize.html#WorkspaceId) *\<uint>* \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVMSize.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVMSize.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

The cmdlet returns an object of type Azure Virtual Desktop VM Size.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
Site ID from which to retrieve the Azure Virtual Desktop VMSize information.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ProviderId \<uint>**\
Provider ID from which to retrieve the Azure Virtual Desktop VMSize information.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Location \<string>**\
Location of the Azure Virtual Desktop Provider.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**WorkspaceId \<uint>**\
Workspace ID from which to retrieve the Azure Virtual Desktop VMSize information.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**VMAzureId \<string>**\
Azure Virtual Desktop VM Id.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[AVDVMSize\[\]](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDVMSize\[].html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAVDVMSize -ProviderId 2 -Location westeurope | Format-List\
\
Retrieves all the VM Sizes under Azure Virtual Desktop Provider with ID 2 from the Licensing Server site.\
\
To retrieve the info from a specific site, specify the -SiteId parameter.\
\
The Format-List cmdlet formats the display output to include all available properties.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASAVDVMSize -ProviderId 1 -Location westeurope -SiteId 2\
\
Retrieves all the VM Sizes under Azure Virtual Desktop Provider with ID 2 from the Site with ID 2.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASAVDVMSize -WorkspaceId 2 -VMAzureId "/subscriptions/w7647456-39g5-113d-pe43-34le8xwj92tn/resourceGroups/My-Resource-Group/providers/Microsoft.Compute/virtualMachines/My-Host"\
\
Retrieves all the VM Sizes under Azure Virtual Desktop Workspace with ID 2 from the Licensing Server site.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdvmsize.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
